{ pkgs, inputs, lib, ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  user = {
    packages = with pkgs; [
      git
      curl
      helix
    ];
  };

  users.groups.dotfiles = {};

  normalUsers = {
    aether = {
      conf = {
        packages = with pkgs; [ bat duf broot bottom ];
        shell = pkgs.fish;
        extraGroups = [ "wheel" /* "nix-users" */ "dotfiles" ];
        initialHashedPassword = "!";
      };

      homeConf.home = {
        sessionVariables = {
          EDITOR = "hx";
#          NIX_REMOTE = "daemon";
        };
      };
    };
  };

  keyboard = {
    locale = "en_US.UTF-8";
    variant = "qwerty";
  };

  time.timeZone = "Europe/Dublin";

  modules = {
    shell.fish.enable = true;
    security.isLocalMachine = true;

    hyprland.enable = true;

    dev.zig.enable = true;
  };
}
